Skip to content
Snippets Groups Projects
Commit e3c56c9e authored by Mathis Rosenhauer's avatar Mathis Rosenhauer
Browse files

Ship test and benchmark data with dist

parent 0caa5349
No related branches found
No related tags found
No related merge requests found
Showing
with 24 additions and 18 deletions
2016-08-16 Mathis Rosenhauer <rosenhauer@dkrz.de>
Include CCSDS test data with libaec. See THANKS
Better compatibility with OSX for make check
Allow Cygwin to build DLLs
2016-08-16 Mathis Rosenhauer <rosenhauer@dkrz.de>
v0.3.4
Pad incomplete last line when in SZ compatibility mode
......@@ -14,7 +16,7 @@
Fixed bug with zero blocks in the last RSI (reference sample
interval) when data size is not a multiple of RSIs or segments (64
blocks) and the zero region reaches a sement boundary.
blocks) and the zero region reaches a segment boundary.
Vectorization improvement for Intel compiler
......
THANKS 0 → 100644
Thanks to the chairman of CCSDS SLS-MHDC, Aaron Kiely, to let us
distribute BB121B2 test data with libaec. The data files are used
during 'make check'.
The most recent version of the data is available from the CCSDS web
site:
http://cwe.ccsds.org/sls/docs/Forms/AllItems.aspx?RootFolder=%2Fsls%2Fdocs%2FSLS%2DDC%2FBB121B2TestData&
......@@ -22,11 +22,12 @@ check_szcomp_SOURCES = check_szcomp.c $(top_builddir)/src/szlib.h
LDADD = libcheck_aec.la $(top_builddir)/src/libaec.la
check_szcomp_LDADD = $(top_builddir)/src/libsz.la
EXTRA_DIST = sampledata.sh szcomp.sh benc.sh bdec.sh CMakeLists.txt
EXTRA_DIST = sampledata.sh szcomp.sh benc.sh bdec.sh CMakeLists.txt data
szcomp.log: sampledata.log
bench: benc bdec
benc:
$(srcdir)/benc.sh
$(srcdir)/benc.sh $(srcdir)/data/typical.rz
bdec:
$(srcdir)/bdec.sh
.PHONY: bench benc bdec
#!/bin/sh
set -e
TEST_DATA=$1
AEC=../src/aec
test_data=https://gitlab.dkrz.de/k202009/libaec/raw/master/data/typical.rz
if [ ! -f typical.dat ]; then
rm -f typical.rz
type curl >/dev/null 2>&1 || {
echo >&2 "curl not found. Please download $test_data by other means and place it in tests. Aborting."
exit 1
}
curl $test_data -O || {
echo >&2 "Could not download $test_data. Please download it by other means and place it in tests. Aborting."
exit 1
}
$AEC -d -n16 -j64 -r256 -m typical.rz typical.dat
rm -f bench.dat
fi
if [ ! -f bench.dat ]; then
rm -f typical.dat
$AEC -d -n16 -j64 -r256 -m $TEST_DATA typical.dat
for i in $(seq 0 499);
do
cat typical.dat >> bench.dat
......
B"
\ No newline at end of file

\ No newline at end of file
File added
KhVb@
\ No newline at end of file
-QE
\ No newline at end of file
File added
O,V|FͶ
\ No newline at end of file
ޞYZֵY6fm
\ No newline at end of file
File added
File added
File added
File added
File added
File added
File added
File added
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment